use crate::parsing::lexer::lex_tokens::TokenType;

#[derive(Debug)]
pub enum Message {
    UnexpectedCharacter(char),
    InvalidCharacter {
        found: char,
        expected: char,
    },
    UnclosedStringLiteral,
    UnexpectedToken {
        found: TokenType,
        expected: Vec<TokenType>,
    },
}
